classification
Title: Improve C-API doc for PyTypeObject
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, cheryl.sabella, docs@python, eric.snow, ezio.melotti, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-01-27 00:11 by eric.snow, last changed 2018-06-14 21:47 by eric.snow. This issue is now closed.

Files
File name Uploaded Description Edit
typeobj-doc.diff eric.snow, 2013-01-27 02:06 review
Pull Requests
URL Status Linked Edit
PR 7413 merged eric.snow, 2018-06-05 00:54
Messages (8)
msg180723 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-01-27 00:11
http://docs.python.org/dev/c-api/typeobj.html

I found the the documentation for PyTypeObject to be somewhat harder to use than it need be.  In the end I distilled the info down for my own use.  I'm comfortable with what I came up with, so I'd like to at least add a condensed version of one or two of the tables I made to the top of the doc, with the slot names linking to each description as it currently exists.  Attached is a patch.

(I also plan on reformatting the doc source so the lines wrap better--70 columns or so.)

As well, I have a couple open questions that I'll address separately:
* should tp_del be added?
* inheritance of tp_flags...
msg180733 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-01-27 02:06
Here's an updated patch after feedback.  Thanks Ezio!
msg318541 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 12:39
Do you mind to create a PR Eric?
msg318659 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-04 15:12
I'll definitely take a look.  It might not be until Friday though.
msg318722 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-05 00:55
I found some time to at least get the patch to apply cleanly to master and to make a PR. :)
msg318741 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python triager) Date: 2018-06-05 12:13
This isn't directly related to this change, but I wanted to point out #23869 since you seem to understand the topic enough to respond to that ticket.

Thanks!
msg319474 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-13 15:33
@Cheryl, thanks for pointing that out.  I'll take a look.
msg319558 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2018-06-14 21:46
New changeset 9e7c92193cc98fd3c2d4751c87851460a33b9118 by Eric Snow in branch 'master':
bpo-17045:  Improve C-API doc for PyTypeObject. (gh-7413)
https://github.com/python/cpython/commit/9e7c92193cc98fd3c2d4751c87851460a33b9118
History
Date User Action Args
2018-06-14 21:47:00eric.snowsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-14 21:46:45eric.snowsetmessages: + msg319558
2018-06-13 15:33:43eric.snowsetmessages: + msg319474
2018-06-05 12:13:48cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg318741
2018-06-05 00:55:13eric.snowsetmessages: + msg318722
2018-06-05 00:54:10eric.snowsetpull_requests: + pull_request7038
2018-06-04 15:12:42eric.snowsetmessages: + msg318659
2018-06-03 12:39:02serhiy.storchakasetnosy: + serhiy.storchaka

messages: + msg318541
versions: + Python 3.6, Python 3.7, Python 3.8, - Python 3.3, Python 3.4
2015-05-16 12:35:16berker.peksagsetnosy: + berker.peksag
2013-01-27 02:06:30eric.snowsetfiles: - typeobj-doc.diff
2013-01-27 02:06:14eric.snowsetfiles: + typeobj-doc.diff

messages: + msg180733
2013-01-27 00:31:19ezio.melottisetnosy: + ezio.melotti, docs@python
versions: + Python 3.3, Python 3.4
assignee: docs@python
components: + Documentation
type: enhancement
stage: patch review
2013-01-27 00:11:25eric.snowcreate